import pandas as pd
import seaborn as sns
import matplotlib.pyplot as plt

# Data 1 - B
df1 = pd.read_csv('length_data_1n.csv')
# Data 2 - C
df2 = pd.read_csv('length_data_2n.csv')
# Data 3 - A
df3 = pd.read_csv('length_data_3.csv')

print(df3['PacketLength'].mean(),df1['PacketLength'].mean(),df2['PacketLength'].mean())

data_to_plot  = [df3['PacketLength'],df1['PacketLength'],df2['PacketLength']]

plt.figure(figsize=(8, 3))
# Creating boxplot
plt.boxplot(data_to_plot)
# Adding titles and labels
plt.title('Traffic Size Boxplot')
plt.ylabel('Packet Size in Bytes', fontsize=14)
plt.xticks([1, 2, 3], ['A', 'B', 'C'], fontsize=14)  # labeling the x-ticks

# Set y-axis to log scale
# plt.yscale('log')

# Show the plot
# plt.show()
plt.savefig('traffic_statistic.pdf', dpi=300)
#
# print(df2['PacketLength'].max())