import os
import numpy as np
import sys
import sklearn
import pandas as pd


import time
import matplotlib.pyplot as plt
import matplotlib as mpl

data = pd.read_csv('data_traffic_normal.csv', header=None)
data = data.iloc[:100]


lw = 0.5


plt.figure(dpi=300, figsize=(10,2.5))
print(plt.style.available)


id, real, pred =  data.iloc[:, 0], data.iloc[:, 3], data.iloc[:, 14]

plt.plot(id, real, label='real traffic', linewidth=0.5, color='blue', linestyle = 'dashed') 
plt.plot(id, pred, label='predicted traffic', linewidth=0.5, color='red')



plt.xlabel("Time (s)", fontsize=14)
plt.ylabel("Traffic (KBps)" , fontsize=14)
plt.legend(loc="upper right", fontsize=14)
stringText = "traffic_line_plot.png"
plt.savefig(stringText)
plt.clf()
plt.cla()
